Loki Software, Inc.

Product Updates

We're always hard at work to make sure our products run the way they should, and Railroad Tycoon II is no exception. He're a list of the available updates and patches to keep your trains rolling.

Updates and Patches

1.17.01 The most current patch for Railroad Tycoon II is 1.54c. You will need to download and install the 1.54a and 1.54b patch before applying 1.54c. To see what the newest patch 1.54c fixes and/or updates, please read the README.

** Note: The Loki Update Tool will automatically download and apply all of the updates in the correct order, so you don't have to do it manually. Check it out!

Mirrors
Linux Tucows
ftp://ftp.linux.tucows.com/pub/Loki/patches/rt2/
Sunsite (Denmark)
ftp://sunsite.auc.dk/pub/os/linux/loki/patches/rt2/
Tux.org
ftp://boudicca.tux.org/misc/lokigames/patches/rt2/
Ultimate Animanga
ftp://snuffleupagus.animearchive.org/loki/patches/rt2/
Linux Lords
ftp://download.linuxlords.com/pub/patches/rt2
LinuxGames
ftp://ftp.linuxgames.com/loki/patches/rt2/
Alpha (Hungarian) ftp://alpha.sch.bme.hu/mirrors/ftp.lokigames.com/pub/patches/rt2/


Patches for the x86 Architecture
Upgrade Railroad Tycoon II: Gold Edition to 1.54a: rt2-1.54a-x86.run
Upgrade Railroad Tycoon II: Gold Edition from 1.54a to 1.54b: rt2-1.54b-x86.run

Patches for the PPC Architecture
*Note: The PPC patches are unsupported, and do not contain networking support.
Upgrade Railroad Tycoon II: Gold Edition to 1.54b (unsupported): rt2-1.54b-ppc.run

Many thanks to our mirror site providers!

Products | Order | Resellers | Support | Development | Press | News | About Loki

© 2000 Loki Software, Inc. | Contact Us | Webmaster
Loki is a registered trademark of Loki Software, Inc.

 

Note: This site currently only fully supports Netscape Navigator 4.x or Internet Explorer 4.x or better. We will be adding support for other browsers shortly. We apologize for any inconvenience.